## org.eclipse.emf.compare.diff.metamodel
Interface UpdateAttribute

All Superinterfaces:
  AttributeChange, DiffElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  UpdateAttributeImpl

    public interface UpdateAttribute

extends AttributeChange

A representation of the model object 'Update Attribute'. Differences of this kind represent modifications of the value of single-valued attributes.

See Also:
  `DiffPackage.getUpdateAttribute()`

Method Summary

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.AttributeChange
`getAttribute, getLeftElement, getRightElement, setAttribute, setLeftElement, setRightElement`

Methods inherited from interface org.eclipse.emf.compare.diff.metamodel.DiffElement
`getIsHiddenBy, getKind, getSubDiffElements, isConflicting, isRemote, setRemote`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2006 IBM Corporation and others. All Rights Reserved.